import pyspark.sql.types as typ

TICKET_SCHEMA = typ.StructType([typ.StructField('order_number', typ.IntegerType(), True),
                                typ.StructField('timestamp', typ.TimestampType(), True),
                                typ.StructField('amount_single', typ.IntegerType(), True),
                                typ.StructField('amount_full', typ.IntegerType(), True),
                                typ.StructField('province', typ.IntegerType(), True),
                                typ.StructField('terminal', typ.IntegerType(), True),
                                typ.StructField('device', typ.IntegerType(), True),
                                typ.StructField('pool', typ.StringType(), True),
                                typ.StructField('nMatch', typ.IntegerType(), True),
                                typ.StructField('pair', typ.StringType(), True),
                                typ.StructField('detail', typ.StringType(), True),
                                typ.StructField('city', typ.IntegerType(), True),
                                typ.StructField('terminal_type', typ.IntegerType(), True),
                                typ.StructField('MXN', typ.StringType(), True)])

PATH = 'c:/cslo/data/ticket'

PAIR_LEVEL={'FSGL':(1,0,0,0,0,0,0,0,),
                 '2X1':(0,1,0,0,0,0,0,0,),
                 '3X1':(0,0,1,0,0,0,0,0,),
                 '4X1': (0, 0, 0, 1, 0, 0, 0, 0,),
                 '5X1': (0, 0, 0, 0, 1, 0, 0, 0,),
                 '6X1': (0, 0, 0, 0, 0, 1, 0, 0,),
                 '7X1': (0, 0, 0, 0, 0, 0, 1, 0,),
                 '8X1': (0, 0, 0, 0, 0, 0, 0, 1,),
                 '2X3': (1, 1, 0, 0, 0, 0, 0, 0,),
                 '3X6': (1, 1, 0, 0, 0, 0, 0, 0,),
                 '3X7': (1, 1, 1, 0, 0, 0, 0, 0,),
                 '4X10': (1, 1, 0, 0, 0, 0, 0, 0,),
                 '4X14': (1, 1, 1, 0, 0, 0, 0, 0,),
                 '4X15': (1, 1, 1, 1, 0, 0, 0, 0,),
                 '5X15': (1, 1, 0, 0, 0, 0, 0, 0,),
                 '5X25': (1, 1, 1, 0, 0, 0, 0, 0,),
                 '5X30': (1, 1, 1, 1, 0, 0, 0, 0,),
                 '5X31': (1, 1, 1, 1, 1, 0, 0, 0,),
                 '6X21': (1, 1, 0, 0, 0, 0, 0, 0,),
                 '6X41': (1, 1, 1, 0, 0, 0, 0, 0,),
                 '6X56': (1, 1, 1, 1, 0, 0, 0, 0,),
                 '6X62': (1, 1, 1, 1, 1, 0, 0, 0,),
                 '6X63': (1, 1, 1, 1, 1, 1, 0, 0,),
                 '7X127': (1, 1, 1, 1, 1, 1, 1, 0,),
                 '8X255': (1, 1, 1, 1, 1, 1, 1, 1,),
                 '3X3': (0, 1, 0, 0, 0, 0, 0, 0,),
                 '3X4': (0, 1, 1, 0, 0, 0, 0, 0,),
                 '4X6': (0, 1, 0, 0, 0, 0, 0, 0,),
                 '4X11': (0, 1, 1, 1, 0, 0, 0, 0,),
                 '5X10': (0, 1, 0, 0, 0, 0, 0, 0,),
                 '5X20': (0, 1, 1, 0, 0, 0, 0, 0,),
                 '5X26': (0, 1, 1, 1, 1, 0, 0, 0,),
                 '6X15': (0, 1, 0, 0, 0, 0, 0, 0,),
                 '6X35': (0, 1, 1, 0, 0, 0, 0, 0,),
                 '6X50': (0, 1, 1, 1, 0, 0, 0, 0,),
                 '6X57': (0, 1, 1, 1, 1, 1, 0, 0,),
                 '7X120': (0, 1, 1, 1, 1, 1, 1, 0,),
                 '8X247': (0, 1, 1, 1, 1, 1, 1, 1,),
                 '4X4': (0, 0, 1, 0, 0, 0, 0, 0,),
                 '4X5': (0, 0, 1, 1, 0, 0, 0, 0,),
                 '5X16': (0, 0, 1, 1, 1, 0, 0, 0,),
                 '6X20': (0, 0, 1, 0, 0, 0, 0, 0,),
                 '6X42': (0, 0, 1, 1, 1, 1, 0, 0,),
                 '5X5': (0, 0, 0, 1, 0, 0, 0, 0,),
                 '5X6': (0, 0, 0, 1, 1, 0, 0, 0,),
                 '6X22': (0, 0, 0, 1, 1, 1, 0, 0,),
                 '7X35': (0, 0, 0, 1, 0, 0, 0, 0,),
                 '8X70': (0, 0, 0, 1, 0, 0, 0, 0,),
                 '6X6': (0, 0, 0, 0, 1, 0, 0, 0,),
                 '6X7': (0, 0, 0, 0, 1, 1, 0, 0,),
                 '7X21': (0, 0, 0, 0, 1, 0, 0, 0,),
                 '8X56': (0, 0, 0, 0, 1, 0, 0, 0,),
                 '7X7': (0, 0, 0, 0, 0, 1, 0, 0,),
                 '7X8': (0, 0, 0, 0, 0, 1, 1, 0,),
                 '8X28': (0, 0, 0, 0, 0, 1, 0, 0,),
                 '8X8': (0, 0, 0, 0, 0, 0, 1, 0,),
                 '8X9': (0, 0, 0, 0, 0, 0, 1, 1,),}